Skip to content

List all admins

GET/admins

Organization API · Organization Admins

List all organization admins.

Required permissionaccount_management:read

Parameters

Name In Type Required Description
X-Organization-ID header string (uuid) Yes Organization ID.
page query integer No The page number to fetch, starting with 1.
pageSize query integer No The size of the page requested.
pageTotal query boolean No Whether the number of pages should be calculated and returned in the response.
sort query array of string No Defines how to sort the data.
Each item must match the pattern (^[^:]+$)|(^[^:]+:(asc|desc)$).
fields query array of string No The fields to return in a partial response.
search query string No Search for items that match the given terms.
email query string No Search by email.
roleId query string (uuid) No Search by role ID.
withAccessToTenant query string (uuid) No Search for admins that have access to the given tenant.

Request samples

curl -X GET "https://api.central.sophos.com/organization/v1/admins" -H "Authorization: Bearer <access-token>" -H "X-Organization-ID: <organization-id>"

import requests

response = requests.get(
    "https://api.central.sophos.com/organization/v1/admins",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Organization-ID": "<organization-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Organization-ID" = "<organization-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api.central.sophos.com/organization/v1/admins" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("GET", "https://api.central.sophos.com/organization/v1/admins", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Organization-ID", "<organization-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api.central.sophos.com/organization/v1/admins", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Organization-ID": "<organization-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

200 — Paged array of organization admins.

Response fields

itemsarray of objectrequired
Organization administrators.
Organization administrator.
Show child attributesHide child attributes
idstring (uuid)required
Administrator ID.
usernamestring (email)required
Administrator username (email).
profileobjectrequired
Profile information for organization administrator.
Show child attributesHide child attributes
namestringrequired
Full name.
firstNamestringrequired
First name.
lastNamestringrequired
Last name.
phonestring
Phone number.
mobilestring
Mobile phone number.
faxstring
Fax number.
activebooleanrequired
Whether the administrator is active.
primarybooleanrequired
Whether this is the primary administrator for the account.
roleAssignmentsarray of objectrequired
Administrator's role assignments.
Role assignment.
Show child attributesHide child attributes
idstring (uuid)required
Role assignment ID.
roleIdstring (uuid)required
Role ID.
roleNamestring
Role name.
scopeobjectrequired
Role assignment scope.
Show child attributesHide child attributes
typestringrequired
Role assignment scope type.
Must be one of: tenant, allManagedTenants, self, tenantGroup.
idstring (uuid)
Tenant ID. Optional or not present when type is allManagedTenants or self.
namestring
Tenant name. Optional or not present when type is allManagedTenants or self.
pagesobjectrequired
Show child attributesHide child attributes
currentintegerrequired
The 1-based page number being returned.
sizeintegerrequired
The size of the page being returned.
totalinteger
(Optional) The total number of pages that exist, if pageTotal=true in the request.
itemsinteger
(Optional) The total number of items across all pages.
maxSizeintegerrequired
The maximum page size that can be requested.

Errors

Status Meaning
500 Unexpected error.

All error responses share the same shape — see the error response object.

Response examples

200

{
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "username": "user@example.com",
      "profile": {
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "phone": "string",
        "mobile": "string",
        "fax": "string"
      },
      "active": true,
      "primary": false,
      "roleAssignments": [
        {
          "id": "00000000-0000-0000-0000-000000000000",
          "roleId": "00000000-0000-0000-0000-000000000000",
          "roleName": "string",
          "scope": {
            "type": "tenant",
            "id": "00000000-0000-0000-0000-000000000000",
            "name": "string"
          }
        }
      ]
    }
  ],
  "pages": {
    "current": 0,
    "size": 0,
    "total": 0,
    "items": 0,
    "maxSize": 0
  }
}

See the guide for a narrative walkthrough of this API.